Bug 146664 - Fails to connect to Compuserve "Classic"
Summary: Fails to connect to Compuserve "Classic"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wvdial   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-31 16:38 UTC by Pierre Thibaudeau
Modified: 2008-04-02 10:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 10:50:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pierre Thibaudeau 2005-01-31 16:38:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
For a while now, the procedure to connect to Compuserve "Classic" has
changed a little. At the "User ID:" promt the answer should now be

   <user-id>/noint/ppp:cisppp

Version-Release number of selected component (if applicable):
wvdial-1.54.0-3

How reproducible:
Always

Steps to Reproduce:
1. Setup a Compuserve connexion with system-config-network;
2. Replace "Stupid Mode" by "Compuserve" in /etc/wvdial.conf;
3. Activate the interface.

Actual Results:  After validating the password, the CIS host responds with

   Requested page not found.  Key T for top!

and ppp does not start

Expected Results:  Should start ppp.

Additional info:

Here's a patch to wvdialbrain.cc to resolve the problem:

--- wvdial-1.54.0/wvdialbrain.cc.cisppp 2003-11-14 14:46:13.000000000
-0500
+++ wvdial-1.54.0/wvdialbrain.cc        2005-01-28 23:17:43.711502357
-0500
@@ -124,7 +124,7 @@
        WvString login = dialer->options.login;
        if (dialer->options.compuserve &&
            strstr (dialer->options.login, "/noint") == 0) {
-          login = WvString("%s%s", login, "/noint/go:pppconnect");
+          login = WvString("%s%s", login, "/noint/ppp:cisppp");
        }
        dialer->log( "Looks like a login prompt.\n"
                     "Sending: %s\n", login );

Comment 1 Matthew Miller 2006-07-10 22:58:31 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Ondrej Vasik 2008-04-02 10:50:00 UTC
Thanks for report and sorry for so long time without the fix applied. I missed
that bugzilla somehow when I got the package few months ago. Built as
wvdial-1.60-5.fc9 , closing RAWHIDE. 


Note You need to log in before you can comment on or make changes to this bug.